Results 1 to 7 of 7

Thread: PHP no longer works.

  1. #1

    Default PHP no longer works.

    On 11.3 fine.
    But 11.4 and the beta version I can not get PhotoFrame to work.
    (from Dougiamas.com: PhotoFrame) It used PHP 4.
    I've given it my all and can not to seem to find out what is happening.
    If I turn debug on I can get it to give me errors like can not find /usr/bin/convert etc....
    I am now running openSUSE 12.1 "Asparagus" Milestone 5.
    What gives???

  2. #2
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,078

    Default Re: PHP no longer works.

    On Mon, 19 Sep 2011 20:06:02 +0000, n9bk wrote:

    > I am now running openSUSE 12.1 "Asparagus" Milestone 5. What gives???


    You may want to ask in the beta/pre-release forum since you're using a
    beta release. Someone there may know what the issue is and have a fix
    for you.

    Jim



    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  3. #3
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,002
    Blog Entries
    14

    Default Re: PHP no longer works.

    IMHO It's not PHP that's not working, it's the software that's not been updated to match current PHP standards. I run multiple PHP based local development websites and -applications, PHP works.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  4. #4
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: PHP no longer works.

    On 2011-09-19 22:06, n9bk wrote:
    > If I turn debug on I can get it to give me errors like can not find
    > /usr/bin/convert etc....


    And you, can you find that file?

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  5. #5

    Default Re: PHP no longer works.

    The files are there.
    I figure that I need to update the PHP script to be complaint with PHP5, but I would have thought that PHP5 would run scripts that are PHP4 compliant.????
    How do I convert a script from PHP4 to PHP%?

  6. #6

    Default Re: PHP no longer works.

    I should point out that on 11.4 my PHP script also does not work. So I went to the beta rather than downgrade back to 11.3.

  7. #7
    Join Date
    Oct 2008
    Location
    Glasgow, Scotland
    Posts
    1,147

    Default Re: PHP no longer works.

    Quote Originally Posted by n9bk View Post
    I figure that I need to update the PHP script to be complaint with PHP5, but I would have thought that PHP5 would run scripts that are PHP4 compliant.????
    No! PHP4 had critical security concerns. PHP5 dates from 2004 and PHP4 maintenance was discontinued in 2008. SuSE-9.3 included PHP5 in 2005. The only PhotoFrame tarball on Sourceforge is from 2003, although according to the forum http://sourceforge.net/projects/phot...s/forum/191174 there was a PHP5 version in 2006.

    How do I convert a script from PHP4 to PHP%?
    From the forum ther is a link to a version 6.9e at
    http://thewholeinternet.com/photoframe/pf69e.zip
    and the changes for PHP5 are described in post:
    http://sourceforge.net/projects/phot.../topic/1489825

    This does not look like good code and the output looks far removed from any W3C HTML or XHTML standards.

    I would either look for an alternative or start from scratch.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •